%define oname   parallel_tests

Name:       ruby-%{oname}
Version:    3.13.0
Release:    %mkrel 1
Summary:    Behaviour Driven Development for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/grosser/parallel_tests
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Run tests in parallel.

%files
%{_bindir}/parallel_cucumber
%{_bindir}/parallel_spinach
%{_bindir}/parallel_test
%{_bindir}/parallel_rspec
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Mon Sep 26 2022 pterjan <pterjan> 3.13.0-1.mga9
+ Revision: 1892423
- Update to 3.13.0

* Mon Aug 15 2022 pterjan <pterjan> 3.11.1-1.mga9
+ Revision: 1877787
- Update to 3.11.1

* Tue May 03 2022 pterjan <pterjan> 3.8.1-1.mga9
+ Revision: 1855688
- Update to 3.8.1

* Fri Mar 25 2022 umeabot <umeabot> 2.32.0-2.mga9
+ Revision: 1826759
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.32.0-1.mga8
+ Revision: 1561683
- Update to 2.32.0

* Fri Feb 14 2020 umeabot <umeabot> 2.27.1-2.mga8
+ Revision: 1522509
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 2.27.1-1.mga7
+ Revision: 1360776
- Update to 2.27.1

* Tue Nov 13 2018 pterjan <pterjan> 2.27.0-1.mga7
+ Revision: 1329789
- Update to 2.27.0

* Sun Nov 04 2018 pterjan <pterjan> 2.26.2-1.mga7
+ Revision: 1328206
- Update to 2.26.2

* Sat Sep 29 2018 pterjan <pterjan> 2.23.0-1.mga7
+ Revision: 1311816
- Update to 2.23.0

* Fri Sep 21 2018 umeabot <umeabot> 2.22.0-2.mga7
+ Revision: 1291157
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 pterjan <pterjan> 2.22.0-1.mga7
+ Revision: 1246042
- Update to 2.22.0

* Sun Apr 01 2018 pterjan <pterjan> 2.21.3-1.mga7
+ Revision: 1214286
- Update to 2.21.3

* Sun Sep 10 2017 pterjan <pterjan> 2.15.0-1.mga7
+ Revision: 1152327
- Update to 2.15.0

* Sun Aug 20 2017 pterjan <pterjan> 2.14.2-1.mga7
+ Revision: 1142140
- Update to 2.14.2

* Sun Jan 10 2016 pterjan <pterjan> 2.2.1-1.mga6
+ Revision: 921070
- Update 2.2.1

* Wed Oct 15 2014 umeabot <umeabot> 0.8.14-10.mga5
+ Revision: 749164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.14-9.mga5
+ Revision: 688896
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.8.14-8.mga4
+ Revision: 562085
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.8.14-7.mga4
+ Revision: 561526
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.8.14-6.mga4
+ Revision: 535615
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.8.14-5.mga4
+ Revision: 482271
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.8.14-4.mga4
+ Revision: 476463
- Fix file list
- Patch gemspec to build without being inside a git checkout

* Fri Feb 08 2013 umeabot <umeabot> 0.8.14-3.mga3
+ Revision: 396239
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.14-2.mga3
+ Revision: 381195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.8.14-1.mga3
+ Revision: 313747
- new version 0.8.14

* Tue Dec 27 2011 shlomif <shlomif> 0.6.14-1.mga2
+ Revision: 188209
- imported package ruby-parallel_tests

